Bug 20805 - [965]incorrect rendering when run ut2004-demo
[965]incorrect rendering when run ut2004-demo
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
unspecified
Other Linux (All)
: medium normal
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 00:25 UTC by liuhaien
Modified: 2009-06-11 02:15 UTC (History)
0 users

See Also:


Attachments
screenshot1 (373.37 KB, image/png)
2009-03-23 00:25 UTC, liuhaien
Details
screenshot2 (347.60 KB, image/png)
2009-03-23 00:26 UTC, liuhaien
Details
screenshot3 (455.11 KB, image/png)
2009-03-23 00:28 UTC, liuhaien
Details
xorg.0.log (49.46 KB, text/plain)
2009-03-23 00:28 UTC, liuhaien
Details
xorg conf file (3.78 KB, text/plain)
2009-03-23 00:28 UTC, liuhaien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description liuhaien 2009-03-23 00:25:58 UTC
Created attachment 24147 [details]
screenshot1

System Environment:
--------------------------

--Platform: G45
--Architecture(32-bit,64-bit,compatiblity): 32-bit
Libdrm:		(master)00d8e960ca665b7f0528438331f4d0ae77fbb4cc
Mesa:		(mesa_7_4_branch)b009a32bf428192fef2dc4787d25f022a472854f	
Xserver:(server-1.6-branch)60c161545af80eb78eb790a05bde79409dfdf16e
Xf86_video_intel:	(2.7)e2465249a90b9aefe6d7a96eb56a51fde54698a0

Bug detailed description:
--------------------------
start X and run ut2004, play with the map "As-convoy",  we will see incorrect rendering as is shown in the attached screenshot.the issue happens on g45 and gm45.
Reproduce steps:
----------------
1. xinit &
2. ut2004
Comment 1 liuhaien 2009-03-23 00:26:54 UTC
Created attachment 24148 [details]
screenshot2
Comment 2 liuhaien 2009-03-23 00:28:00 UTC
Created attachment 24149 [details]
screenshot3
Comment 3 liuhaien 2009-03-23 00:28:39 UTC
Created attachment 24150 [details]
xorg.0.log
Comment 4 liuhaien 2009-03-23 00:28:53 UTC
Created attachment 24151 [details]
xorg conf file
Comment 5 Gordon Jin 2009-06-09 11:00:35 UTC
Haien, does this still exist in Q2 rc1 package?
Does this impact the nightly auto tests?
Comment 6 liuhaien 2009-06-11 02:14:05 UTC
(In reply to comment #5)
> Haien, does this still exist in Q2 rc1 package?
> Does this impact the nightly auto tests?
> 

(In reply to comment #5)
> Haien, does this still exist in Q2 rc1 package?
> Does this impact the nightly auto tests?
> 

it works with Q2 rc1 package. let's close it.
Comment 7 liuhaien 2009-06-11 02:15:06 UTC
verified with below commits:
Libdrm:		(master)3d4bfe8c893d016ef43d1ebf28e4607aa1f540a4
Mesa:		(mesa_7_5_branch)cfff2a6189b38f1ee8c8ca204e223574a5abf760
Xserver:		(server-1.6-branch)5cd5a01259ba349f1868ca4af04207cf120d69e4
Xf86_video_intel:		(master)66ceedc0cc123e5c9f85f708b2e56d943f00e4b9
Kernel:     (for-linus)0e7ddf7eeeef5aea85412120539ab5369577faeb